Delete an account
curl --request DELETE \
--url https://external.pleo.io/v1/chart-of-accounts/{accountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://external.pleo.io/v1/chart-of-accounts/{accountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external.pleo.io/v1/chart-of-accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Accounts
Delete an account
Deletes an existing account in Pleo.
Only accounts not linked to any accounting entries can be deleted. Trying to delete an account linked to accounting entries will result in an error. If an account is linked, it can only be archived. Use UPDATE endpoint to archive an account.
DELETE
/
v1
/
chart-of-accounts
/
{accountId}
Delete an account
Was this page helpful?
⌘I